For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update a DID

Update a DID Document using cheqd Studio.

Update a DID Document.

post
/did/update

This endpoint updates a DID Document. As an input, it can take JUST the sections/parameters that need to be updated in the DID Document (in this scenario, it fetches the current DID Document and applies the updated section). Alternatively, it take the fully-assembled DID Document with updated sections as well as unchanged sections.

Authorizations
x-api-keystringRequired
Body
didstringOptional

DID identifier to be updated.

Example: did:cheqd:testnet:7bf81a20-633c-4cc7-bc4a-5a45801005e0
authenticationstring[]Optional

Authentication section of the DID Document.

publicKeyHexsstring[]Optional

List of key references (publicKeys) which will be used for signing the message. The should be in hexadecimal format and placed in the wallet of current user.

Responses
200

The request was successful.

application/json
didstringOptional
controllerKeyIdstringOptional

The default key id of which is the key associated with the first verificationMethod

keysobject[]Optional

The list of keys associated with the list of verificationMethod's of DIDDocument

controllerKeyRefsstring[]Optional

The list of keyRefs which were used for signing the transaction

controllerKeysstring[]Optional

The list of all possible keys, inlcuding all controller's keys

post/did/update

Last updated

Was this helpful?